Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 25 Mar 2023 06:03:34 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hello there,

I placed an order on 02/03 reference 9417193256 and on the very next day I received and email from [email-masked] advising that my order “couldn’t go through due to a glitch in our system” while I received the confirmation after placing my order and successfully paying for it. 

Why would my order be cancelled? I don’t understand why would you cancel my order when the items order are all in stock? Not only this, but the promotions where all listed in your application as well as the website. Not sure what kind of system glitch are we talking about here when the full order placement process went through. And even if there was a system glitch, I as a customer shouldn’t be paying for it by having my order cancelled.

I kindly request to proceed with fulfilling my order and ensure to have the items delivered at the selected time slot.

Waiting to hear back from you ASAP. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5836672